unit frmMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, GDMRU;

type
  TForm1 = class(TForm)
    GDMRU: TGDMRU;
    MainMenu1: TMainMenu;
    popMRU: TPopupMenu;
    File1: TMenuItem;
    RecentFiles1: TMenuItem;
    Edit1: TEdit;
    edtItemName: TEdit;
    btnAdd: TButton;
    YourProgsInfo1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    Recent1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnAddClick(Sender: TObject);
    procedure popMRUPopup(Sender: TObject);
    procedure GDMRUItemClick(Sender: TObject; ItemName: String;
      ItemIndex: Integer);
    procedure File1Click(Sender: TObject);
    procedure RecentFiles2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
     //Load MRU list from file
     GDMRU.INILoadMRU(ExtractFilePath(ParamStr(0))+'MRUData.ini','MRU');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     //Store MRU list to file
     GDMRU.INIStoreMRU(ExtractFilePath(ParamStr(0))+'MRUData.ini','MRU');
end;

procedure TForm1.btnAddClick(Sender: TObject);
begin
     IF (edtItemName.Text='') then exit;

     GDMRU.AddItem(edtItemName.Text);
end;

procedure TForm1.popMRUPopup(Sender: TObject);
begin
     GDMRU.UpdatePopupMenu(TPopupMenu(Sender),TRUE,1);
end;

procedure TForm1.GDMRUItemClick(Sender: TObject; ItemName: String;
  ItemIndex: Integer);
begin
     ShowMessage('You clicked '+ItemName);
end;

procedure TForm1.File1Click(Sender: TObject);
begin
     //Update the menu
     GDMRU.UpdateMenu(File1,TRUE,5);

     //Update the menu below "Recent"
     GDMRU.UpdateSubMenu(Recent1);
end;

procedure TForm1.RecentFiles2Click(Sender: TObject);
begin
     GDMRU.UpdateSubMenu(TMenuItem(Sender));
end;

end.
